New patched Sunray Solo2 drivers 20170522

gjstroom

VIP Member
VIP Member
Joined
Dec 20, 2015
Messages
126
Reaction score
212
Hi, I have patched the latest Vu+ Solo2 drivers, for Sunray only !

update drivers(duo2, solo2, solose, zero, solo4k, uno4k, ultimo4k)
- Fix DVB-T2 tuning problem(TT2L08)
- Support DVB-CI in vtuner
- Support scrambled playback(solo4k, uno4k, ultimo4k : E2 update will follow)
- Support Bluetooth(solo4k, uno4k : Needs USB Vu+ BT)
- Fix Misc.

More info, see here,

Download
 

ogalla

Premium Member
Premium Member
Joined
Jan 4, 2014
Messages
221
Reaction score
19
Location
Antequera
I do not get it. What are the patched Driver for Solo2 Sunray 1st, 2nd or 3rd link?
 

gjstroom

VIP Member
VIP Member
Joined
Dec 20, 2015
Messages
126
Reaction score
212
I do not get it. What are the patched Driver for Solo2 Sunray 1st, 2nd or 3rd link?
Have a good look at the date inside the filename, is it so hard to understand :questionmark:
 

cascaritin

New Member ++
Joined
Dec 28, 2016
Messages
12
Reaction score
0
Hello, I have patched the latest version of openspa using

- tar -xf /tmp/vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz -C /lib/modules/3.13.5/extra/Vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz

When I check the changes in the /extra directory I can not find any difference between the previous drivers and the ones that should appear. Follow the same date as before.If I change the files I do for ftp would it be valid?The previous version with the previous drivers worked everything well, but now I have doubt.Thank you very much for your contributions.
 

cascaritin

New Member ++
Joined
Dec 28, 2016
Messages
12
Reaction score
0
I have followed this and if you have changed the drivers.
ftp the drivers to /lib/modules/3.13.5/extra/

Telnet
sed -i '/Package: vuplus-dvb-modules-vusolo2/{n; s/3.13.5-r1/30.13.5-r1/g;}' /var/lib/opkg/status


I try and post the result.

I could not edit the previous post to include this. Please if you can include it and delete this thank you.
 

gjstroom

VIP Member
VIP Member
Joined
Dec 20, 2015
Messages
126
Reaction score
212
Hello, I have patched the latest version of openspa using

- tar -xf /tmp/vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz -C /lib/modules/3.13.5/extra/Vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz

When I check the changes in the /extra directory I can not find any difference between the previous drivers and the ones that should appear. Follow the same date as before.If I change the files I do for ftp would it be valid?The previous version with the previous drivers worked everything well, but now I have doubt.Thank you very much for your contributions.
How do you compare the files ? The files in my vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz have the same date as the original, only the dvb-bcm7356.ko is changed.
I also doubt want you want to achieve with:
tar -xf /tmp/vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz -C /lib/modules/3.13.5/extra/Vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz
This unpacks the archive in the directory /lib/modules/3.13.5/extra/Vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz or you get an error if that directory does not exist.
The right syntax is:
tar -xf /tmp/vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz -C /lib/modules/3.13.5/extra

ftp should also work, but make sure you do a binary transfer.
 

cascaritin

New Member ++
Joined
Dec 28, 2016
Messages
12
Reaction score
0
Sorry for my mistake, I do as you say. I was wrong to paste the text.

It is that to not see any change in dates not nothing I thought that had not done and look for the way to do it by ftp.

Now I have clear that it is the same as the previous one and that the dates are the ones that have made me doubt.Thank you very much.
 

ketmp

Satellite Moderator
Staff member
Moderator
Joined
Sep 16, 2014
Messages
2,496
Reaction score
1,448
Hi @gjstroom,

Could you update the drivers for the normal/module version please?

Thanks
 
Last edited by a moderator:

adamsky

Inactive User
Joined
Sep 24, 2015
Messages
8
Reaction score
0
Hi, I'm getting this info:

"[email protected]:~# tar -xf /tmp/vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz -C /lib/modules/3.13.5/extratar: can't remove old file bcm_event.ko: Operation not permitted"


I was trying to change attributes of this file, delete it, etc., cannot be done.

These lines didn't help as well:

"mv /usr/bin/enigma2 /usr/bin/enigma2.stopkillall -9 enigma2 &>/dev/null 2>&1sleep 4mv /usr/bin/enigma2.stop /usr/bin/enigma2chattr -i *.ko >/dev/null 2>&1rm bcm_event.ko >/dev/null 2>&1rm brcmfb.ko >/dev/null 2>&1rm dvb-bcm7356.ko >/dev/null 2>&1rm dvb_base.ko >/dev/null 2>&1rm fpga_directc.ko >/dev/null 2>&1rm procmk.ko >/dev/null 2>&1"
 

gjstroom

VIP Member
VIP Member
Joined
Dec 20, 2015
Messages
126
Reaction score
212
Hi, I'm getting this info:
"[email protected]:~# tar -xf /tmp/vuplus-dvb-proxy-vusolo2-3.13.5-20170522.r0.tar.gz -C /lib/modules/3.13.5/extra
tar: can't remove old file bcm_event.ko: Operation not permitted"
Very strange all files in /lib/modules/3.13.5/extra don't have any strange attributes by default.
Try a 'chattr -i /lib/modules/3.13.5/extra/bcm_event.ko'
 

adamsky

Inactive User
Joined
Sep 24, 2015
Messages
8
Reaction score
0
Ok, it was my poor knowledge of Linux. Because I was using the Sunray Clone Images OpenVix 5.0 013 all the files in the folder /lib/modules/3.13.5/ were immutable (part of driver protection). Using chattr -i command was solving my issue, thanks gjstroom. After replacing files in this folder command chattr +i should be used on these files to secure them again.

The easiest way is probably to use the script sunraydrivers.sh from the thread "How to update drivers & apply driver protection" with the latest driver files in the folder "normal" or "xbmc"

Using the script sunraydrivers.sh with the latest drivers from this thread seems to be working fine. Replaced files have the new updated date. The only issue is the driver version info stored in the file /var/lib/opkg/status. It's not correctly updated, also there is info from the sunraydrivers.sh script: "Patching driver version 3.13.5-20161228.r0 to 30.13.5-20161228.r0". How to fix this part of the script?
 

ketmp

Satellite Moderator
Staff member
Moderator
Joined
Sep 16, 2014
Messages
2,496
Reaction score
1,448
adamsky,

You are correct, the immutable attribute (+i) is part of the write-protection applied to the drivers on my images.

The drivers date is derived from the image itself and is saved in the image when built rather than get the driver date from the drivers.

Personally, I'd just upgrade to OpenVix 5.0 016 here which has latest drivers included.
 
Last edited by a moderator:

ogalla

Premium Member
Premium Member
Joined
Jan 4, 2014
Messages
221
Reaction score
19
Location
Antequera
¿Cómo sé si tengo que poner el archivo proxy o los archivos de módulo? No utilizo proxy en el PC
Gracias

¿Cómo se puede poner el archivo proxy o los archivos módulo? Yo no utilizo proxy en el PC
Gracias
 

cascaritin

New Member ++
Joined
Dec 28, 2016
Messages
12
Reaction score
0
That depends on the image you put. If you wear kodi or not. Proxy is for the image that supports kodi, as is the openspa.

Anyway the script will install the correct one.

(Eso depende de la imagen que le pongas. Si lleva kodi o no. Proxy es para la imagen que soporte kodi, como es la openspa.

De todas formas el script te instalara la correcta.)


Greetings.
 

daviddrf

Member
Joined
Jun 5, 2014
Messages
12
Reaction score
1
Yes gjstroom, I've already saw that August the 22 drivers, the question is I am still not able to download the .sh script ([DOWNLOAD] How to update drivers & apply driver protection) in order to apply that (I still have to wait 24 hours after my 5th message in this forum). I have a Sunray Solo2 and I would like to install the last Openspa image's version which is 7.1.003.
I've been reading the posts of this forum and first of all I would like to thank you all your efforts and support.
As I've understand I would have to flash the original image in the clone receiver (not in the original one) and this receiver has to be disconnected from the dish and without Internet connection. It has to be connected to a computer with an ethernet wire only and this computer has to be disconnected from the Internet in order to avoid the update which could cause the "bomb" to corrupt the NAND memory of the receiver.
I've been reading this manual procedure too: New patched Sunray Solo2 drivers 20170522
I have some questions mainly.

1) The first one is that Openspa uses a wizard for the first time you use it after install or flash the image. In this wizard there are some steps to connect the receiver to the Internet and do some updates (for plugins and other useful and necessary things). When do I have to telnet the new August the 22 patched drivers to "lib/modules/3.13.5/extra/" folder?
2) What is the right command to apply from telnet to extract the drivers to "lib/modules/3.13.5/extra/" folder? (I make this question because there are a lot of commands on that page and it would be confusing to me, thanks).
Which are the right drivers?: a) vuplus-dvb-modules-vusolo2-3.13.5-20170822.tar.gz or b) vuplus-dvb-proxy-vusolo2-3.13.5-20170822.r0.tar.gz (taken from STACK)
I've read that one of them are applied to images that have Kodi (like Openspa I think).
3) After applying these drivers when can I plug all the wires from the dish and Internet connection to the receiver again? Have I to restart the receiver?
4) Could I do all this patching procedure on an original Solo2 receiver, make a backup of it and then flash that backup on the Sunray clone?

Excuse me for all these questions, I've been reading this subforum but there are some aspects I still haven't understood perfectly and it could be dangerous for bricking the Sunray Solo2 receiver. I would like to do this procedures manually with commands if were possible (for more knowledge) and after it using the .sh script too.
There was two years after I updated my Sunray Solo2 receiver using a patched image made by ramiMAHER from Dreamoem forum but now that project seems to be closed...So now I would like to restart patching the lastest images by myself instead of downloading the images already patched by others.
Thank you all for reading these huge "letter" I've made some minutes ago and excuse me for my bad English, I'm from Spain and I try to improve it everyday, trust me...
 

gjstroom

VIP Member
VIP Member
Joined
Dec 20, 2015
Messages
126
Reaction score
212
You can flash an original Openspa image on your box, but if you want to play it safe, disconnect both Ethernet and Antenna cables from your box.
Your box can acquire time by using ntp (network) or dvb-s transponder time. The time is the factor which can damage your box combined with the original drivers.
To upload the patched drivers to the box, directly connect a pc or laptop to the vu box, for instance give your laptop/pc 192.168.0.11 255.255.255.0 and your box 192.168.0.12 255.255.255.0 or whatever ip addresses suits you.
-ftp the drivers to 192.168.0.12 in the /tmp folder
-telnet or ssh to your box on 192.168.0.12
-do a ls /lib/modules/3.13.5/extra and watch the file date for dvb-bcm7356.ko
-tar -xf /tmp/vuplus-dvb-proxy-vusolo2-3.13.5-20170822.r0.tar.gz -C /lib/modules/3.13.5/extra
-do a ls /lib/modules/3.13.5/extra and watch the file date for dvb-bcm7356.ko it should list something like 20170822
-remove the static ip from both your box and laptop/pc
That's it.
Your English is really not so bad :)
DreamOEM doesn't exist any longer for almost a year now. The founder has legal problems.
 
TEST
Top